Description

Supportanfrage:

Ich habe eine neues Media Descripiton File über den Editor angelegt, in dem nur ein Struct mit dynamischen Inhalt enthalten ist:

 <structs>

  <struct alignment="1" name="tCharList" version="1">

   <element alignment="1" arraysize="1" byteorder="LE" bytepos="0" name="ui32Size" type="tUInt32" 

/>

   <element alignment="1" arraysize="ui32Size" byteorder="LE" bytepos="4" name="aList" type="tChar

" />

  </struct>

 </structs>

 Beim Starten einer Konfiguration, in dem das File geladen ist, sagt ADTF in der Konsole immer

"The following errors have been detected while loading Media Descriptions files:   " (kein Text dahinter, also keine Fehler?)

Leider stört das den Kunde. Mache ich irgendwas falsch?

Wenn ich das Beispiel aus der Doku nehmen, kommt übrigens der gleiche Fehler:

 <struct alignment="1" name="tDynStruct" version="1">

     <element alignment="1" arraysize="1" byteorder="LE" bytepos="0" name="ui32SomeData" type="tUI

nt32" />

     <element alignment="1" arraysize="1" byteorder="LE" bytepos="4" name="ui32DynArraySize" type=

"tUInt32" />

     <element alignment="1" arraysize="ui32DynArraySize" byteorder="LE" bytepos="8" name="f64Dynam

icArray" type="tFloat64" />

 </struct>

 Im Anhang ein kleines Beispielprojekt mit dem Description File.

Lösung:

Zu dieser Supportanfrage wurde ein Produktticket angelegt. http://km-aev.in.audi.vwg/redmine/issues/40276

In diesem wird analysiert, warum die leere Fehlermeldung ausgegeben wird.

Grundsätzlich sollte man falls es möglich ist anstatt dynamischen arrays statische verwenden.

Siehe SDK Doku DDL Definition File Format - dynamic arrays

History

#1 - 2017-05-11 13:11 - hidden

- Project changed from Public Support to 4

- Topic set to ADTF::MDE

#2 - 2017-05-12 12:39 - hidden
- Status changed from New to Customer Feedback Required

- Resolution set to Product Issue Opened

- Product Issue Numbers set to http://km-aev.in.audi.vwg/redmine/issues/40276

Hallo Raphael,

zu dieser Supportanfrage habe ich ein Produktticket angelegt. http://km-aev.in.audi.vwg/redmine/issues/40276

In diesem wird analysiert, warum die leere Fehlermeldung ausgegeben wird.

Deine erstellte .description ist soweit richtig, nur fehlt ihr noch die streams e.g.

 <streams>

    <stream description="streamid_1" name="mystream" type="tDynStruct" />

 </streams>

 Grundsätzlich sollte man falls es möglich ist anstatt dynamischen arrays statische verwenden.

Siehe SDK Doku DDL Definition File Format - dynamic arrays

#3 - 2017-05-16 16:15 - hidden

Bitte um Rückmeldung zu den offenen Punkten bzw. Feedback zum Ticketstatus bzw. der Erwartungshaltung.

Thema aus Supportsicht eigentlich abgeschlossen.

#4 - 2017-05-17 14:15 - hidden

Hi,

Von meiner Seite aus passt das.

Erwartungshaltung wäre, dass hier kein Fehler in der Konsole geworfen wird. :-)

#5 - 2017-05-17 15:35 - hidden

Hallo Raphael,

alles klar, dann gebe ich das Ticket zum schließen. Können wir es public für alle User der Digitalwerk Community einsehbar stellen?

#6 - 2017-05-17 15:59 - hidden

Klaro. Immer doch.

#7 - 2017-05-17 16:01 - hidden

- Project changed from 4 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

@Florian, Ticket kann geschlossen werden.

#8 - 2017-05-18 09:01 - hidden

- Description updated

- Status changed from To Be Closed to Closed

- Support Level changed from 2nd Level to 3rd Level

- Department changed from ENTWICKLUNG to AEV

- Subject changed from Warning /Errors beim Laden von MediaDescription Files to Warning and errors when loading media description files containing

dynamic arrays 

Ticket wird geschlossen.

@Raphael/Stephan: In deinem File fehlen keine Stream, diese Aussage ist falsch. Man sollte keine Streams manuell anlegen, nur Strukturen

definieren, die man dann auf Pins setzt. Die Streams werden dann zur Laufzeit erzeugt und sollten auch nur im *.dat.description File landen, dass der

Recorder erstellt, nicht in dein DDL Definition.

Files

TestDesc.zip 3.67 KB 2017-05-11 hidden
